<?
include ('include/config.php');
include (MYSITE_ROOT . 'lib_php/class.php');
include (MYSITE_ROOT . 'lib_php/sql.php');
include (MYSITE_ROOT . 'lib_php/template.php');
include (MYSITE_ROOT . 'lib_php/login.php');
include ('include/render_funcs.php');
include ('include/file_funcs.php');
include ('include/funcs.php');

if (!isset($language))
  $mysiteLanguage = MYSITE_DEFAULT_LANGUAGE;
if (!isset($style))
  $mysiteStyle = MYSITE_DEFAULT_STYLE;
  
include ("language/$mysiteLanguage/consts.php");
include ("language/$mysiteLanguage/texts.php");
include ('include/globals.php');

session_start();
sql_connect(MYSITE_SQL_HOST, MYSITE_SQL_USER, MYSITE_SQL_PWD, MYSITE_SQL_DB);

// verify that mySite is installed
if (!defined('MYSITE_IN_INSTALL')) {
  if (!mysiteIsInstalled()) {
    header('location: install.php');
    die ('<a href="install.php">install</a>');
  }
}

// initialize globals
$mysiteLogin = new CLogin(MYSITE_SQL_TABLES_PREFIX);
$mysiteLogin->tpl->tpl['main'] = 
'<form method="post" name="{FORMNAME}">
{MOREFORM}
<font class="topLogin">Login </font><input type="text" name="{LOGINVAR}" value="{LOGIN}" class="topLogin"><br />
<font class="topLogin">Mot de passe </font><input type="password" name="{PASSWORDVAR}" value="{PASSWORD}" class="topLogin"><br />
<input type="submit" value="ok" onClick="onSubmit{FORMNAME}()" class="topLoginSubmit"><br />
<input type="hidden" name="{HASHPASWORDVAR}">
</form>
<script language="JavaScript">
  function onSubmit{FORMNAME}() {
    document.forms[\'{FORMNAME}\'].{HASHPASWORDVAR}.value = hex_md5(document.forms[\'{FORMNAME}\'].{PASSWORDVAR}.value);
    document.forms[\'{FORMNAME}\'].{PASSWORDVAR}.value = "";
    document.forms[\'{FORMNAME}\'].submit();
  }
</script>';

if (!defined('MYSITE_IN_INSTALL')) {
  if (!($mysiteLoginOK = $mysiteLogin->isLogged())) {
    if (isset($GLOBALS[$mysiteLogin->loginVar])) {
      $mysiteLoginOK = $mysiteLogin->login();
    }
  }
} else {
  $mysiteLoginOK = true;
}

if (defined('MYSITE_PRIVATE_PAGE') && (!$mysiteLoginOK)) {
  die();
}
?>
<html>
<head>
  <title>Flupke's Home</title>
  <link rel="stylesheet" href="templates/<?=$mysiteStyle?>/style.css" type="text/css">
  <script language="JavaScript" src="<?=MYSITE_ROOT?>lib_js/md5.js"></script>
</head>
<body>

<table class="top">
  <tr>
    <td class="topNavbar">
      <?
      if (!defined('MYSITE_IN_INSTALL')) {
        // render navbar
        echo '<a href="index.php">' . MYSITE_TXT_HOME . '</a>';
        if (isset($id) && (!defined('MYSITE_NOSUBNAVBAR'))) {
          echo "::<a href=\"view_site.php?id=$id\">" . renderProjectName($id) . '</a>';
        } else if (defined('MYSITE_NOSUBNAVBAR'))  {
          echo "::<a href=\"{$mysiteNavbarLocation[$location][0]}\">{$mysiteNavbarLocation[$location][1]}</a>";
        }
      }
      ?>
    </td>
    <td class="topLogin" rowspan="2">
      <?
      if (!defined('MYSITE_IN_INSTALL')) {
        // render login if not logged
        if (!$mysiteLoginOK) {
          echo $mysiteLogin->renderForm();
        } else {
          echo '<a href="logout.php" class="topLogin">logout</a>';
        }
      }
      ?>
    </td>
  </tr>
  <tr><td class="topNavbar">
  <br>
